# General Translation Platform: Générer le contexte de traduction
URL: https://generaltranslation.com/fr/docs/platform/openapi/reference/context/generate-context.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: Générer des glossaires et des instructions de traduction pour le projet. Référence de l’API pour Générer le contexte de traduction.

{/* Ce fichier a été généré par Fumadocs. Ne modifiez pas ce fichier directement. Toute modification doit être effectuée en relançant la commande de génération. */}

## Endpoint

`POST https://api.gtx.dev/v2/project/setup/generate`

**Operation ID:** `generateProjectContext`

**Tags:** `Context`

**Summary:** Generate translation context

Generate glossaries and translation instructions for the project.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Request body (required)

Body (`application/json`, object):
- `files` (object[], required)
  - `branchId` (string)
  - `fileId` (string, required)
  - `versionId` (string, required)
- `locales` (string[])
- `force` (boolean) Default: `false`.

### Responses

**200**: Context generation status
Response body (`application/json`, object | object):

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**404**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
